AOZ Studio Beta - Bug #923

Linux : home tree
10/19/2022 09:33 AM - Baptiste Pillot

Status: Closed Start date: 10/19/2022
Priority: Normal Due date:

Assignee: Baptiste Pillot % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 1.0.0 (B17)

Affected version: 1.0.0 (B16) u25

Description

When | try to run a program with an error, eg here if | type Degreee instead of Degree*, the transpilers stops with an error "syntax
error at line 2, column 8, in file GameJam37.a0z", but it generates some side-effects :

Folders and an empty copy of my .aoz program is created into my projet folder. It is a copy of the absolute path of my project :
The created .aoz file is empty.

Sometimes the error focus goes to my original GameJam37.aoz file. But sometimes it goeds into the new empty file, which opens
into a new tab.

What it does and should not :
e creates an empty home/baptiste/AOZ_Studio/my_aoz_applications/Gamedam37.aoz file into my project folder
¢ opens the new GameJam37.aoz file into a new tab (so | finish with 2 tabs of the "almost-same" file)
e when | transpile it again, with the bad file existing before the transpilation : focuses the new empty Gamedam37.aoz file instead
of the right one
What it should do :

¢ only focus the original Gamedam37.aoz file, without creating and opening new things.

| guess there is some king of missing a slash (/) at the beginning of a file path, somewhere, so the path and file re-creates itself on a
relative way instead of being read on an absolute way.

History

#1 - 10/19/2022 09:34 AM - Baptiste Pillot

- Description updated

#2 - 10/19/2022 09:37 AM - Baptiste Pillot

- Target version deleted (none)

#3 - 10/19/2022 07:30 PM - Baptiste Pillot
- Status changed from New to In Progress
- Assignee set to Baptiste Pillot
- Target version set to 1.0.0 (B17)
Je travaille dessus.
e étape 1 : mettre des traces (console.log sur FS.existsSync) autour du transpileur pour voir si ce dossier home est créé avant, pendant ou apres
que le transpileur tourne. Ga se passe aprés, bien aprées.
e étape 2 : chercher ce qui crée ce dossier plus tard dans le process (aprés I'échec du transpileur). Reste a faire.
Notes : ~/aoz/editor2prod me permet de copier les scripts sur lesquels je travaille vers la prod. J'ai notamment pris un aoz-studio-view.js issu de la

prod, sur lequel je n'ai appliqué que ma modif pour cert, car ce script dans sa version actuelle a subi beaucoup d'évolutions plante sur la version beta
16 u25.

#4 - 10/20/2022 10:30 AM - Baptiste Pillot
Recherches :

Dans aoz-studio-view.js : gotoNextError(), on appelle atom.workspace.open( atomSourcePath + PATH.sep + message.path );. Or si j'affiche la
chaine en question ¢a donne :

e Sous Windows : C:/AOZ_Studio/my_aoz_applications/Mon Application\C:/AOZ_Studio/my_aoz_applications/Mon Application/Mon
Application.aoz : le path est en double, mais je suppose qu'il arrive a s'en débrouiller, par un quelconque coup de Trafalgar.

e Sous Linux, méme souci :
/home/baptiste/AOZ_Studio/my_aoz_applications/MonApplication//home/baptiste/AOZ_Studio/my_aoz_applications/MonApplication/M
onApplication.aoz : ici ¢a ne pardonne pas, et le fichier est recréé a blanc (la premiere fois), ou ¢a pointe sur ce fichier s'il existe déja (la
deuxiéme fois), quitte & I'ouvrir dans un nouvel onglet.

La solution : et bien il ne faut pas doubler le chemin d'acces au fichier, et ¢a devrait aller tout bien.

Par sécurité, je peux tester le chemin, voir s'il est complet (débute par X: ou /). S'il ne I'est pas, je peux continuer a faire la concaténation. Car je ne
sais pas : le déboguage peut peut-étre étre demandé depuis d'autres endroits que mon cas ici.

Path appliqué pour la prochaine release, si ce que je propose convient.

#5 - 10/20/2022 10:55 AM - Baptiste Pillot

- Status changed from In Progress to Resolved

#6 - 11/17/2022 03:40 PM - Baptiste Pillot

- Status changed from Resolved to Closed
